import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { FcBarChart } from 'react-icons/fc';
import { FcDataSheet } from 'react-icons/fc';
var ChartTitle = function (_a) {
    var _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
    var setup = _a.setup;
    if (setup.type.includes('chart')) {
        if (((_c = (_b = setup.chart) === null || _b === void 0 ? void 0 : _b.title) === null || _c === void 0 ? void 0 : _c.show) !== true)
            return null;
    }
    var _o = React.useState('chart'), viewMode = _o[0], setViewMode = _o[1];
    function changeViewData(event) {
        event.stopPropagation();
        setViewMode(function (prevMode) { return (prevMode === 'chart' ? 'table' : 'chart'); });
        setup.type = viewMode === 'chart' ? 'table' : setup.type.replace('table', 'vertical-bar-chart');
    }
    return (_jsxs("div", { className: "s-dashboard__title", style: {
            color: ((_f = (_e = (_d = setup.chart) === null || _d === void 0 ? void 0 : _d.title) === null || _e === void 0 ? void 0 : _e.textStyle) === null || _f === void 0 ? void 0 : _f.color) || '#000',
            fontSize: ((_j = (_h = (_g = setup.chart) === null || _g === void 0 ? void 0 : _g.title) === null || _h === void 0 ? void 0 : _h.textStyle) === null || _j === void 0 ? void 0 : _j.fontSize) || 14,
            display: 'flex',
            justifyContent: 'space-between',
            alignItems: 'center',
        }, children: [_jsx("p", { className: "s-dashboard__title--text", children: ((_m = (_l = (_k = setup.chart) === null || _k === void 0 ? void 0 : _k.title) === null || _l === void 0 ? void 0 : _l.text) === null || _m === void 0 ? void 0 : _m.trim()) || setup.title || '' }), _jsx("div", { onClick: changeViewData, style: { height: '25px', width: '25px', cursor: 'pointer', color: '#000' }, children: viewMode === 'chart' ? _jsx(FcDataSheet, { size: 25 }) : _jsx(FcBarChart, { size: 25 }) })] }));
};
export default ChartTitle;
