import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import Pagination from '../components/Pagination.js';
var Table = function (props) {
    var _a, _b, _c, _d, _e;
    var _f = React.useState(1), currentPage = _f[0], setCurrentPage = _f[1];
    var _g = React.useState(10), rowsPerPage = _g[0], setRowsPerPage = _g[1];
    var pageSizes = (((_a = props.setup.table) === null || _a === void 0 ? void 0 : _a.page_sizes) || [5, 10, 20, 50]).filter(function (size) { return size !== null && size !== undefined; });
    var tableColumnsOption = Array.isArray((_b = props.setup.table) === null || _b === void 0 ? void 0 : _b.columns)
        ? props.setup.table.columns
        : [];
    var startIndex = (currentPage - 1) * rowsPerPage;
    var endIndex = startIndex + rowsPerPage;
    var currentData = (_d = (_c = props.chartData) === null || _c === void 0 ? void 0 : _c.slice(startIndex, endIndex)) !== null && _d !== void 0 ? _d : [];
    var totalPages = Math.ceil(((_e = props.chartData) === null || _e === void 0 ? void 0 : _e.length) || 0 / rowsPerPage);
    var handlePageChange = function (page) {
        setCurrentPage(page);
    };
    var handlePageSizeChange = function (pageSize) {
        setRowsPerPage(pageSize);
        setCurrentPage(1);
    };
    return (_jsxs("div", { className: "table-component", children: [_jsxs("table", { border: 1, style: { width: '100%', borderCollapse: 'collapse' }, children: [_jsx("thead", { children: _jsx("tr", { children: tableColumnsOption.map(function (option) { return (_jsx("th", { style: {
                                    position: 'sticky',
                                    top: 0,
                                    backgroundColor: '#f5f7fa',
                                    fontWeight: 'bold',
                                    textTransform: 'capitalize',
                                    zIndex: 1,
                                    minWidth: option.width ? "".concat(option.width, "px") : 'auto',
                                }, children: option.header_text || option.field }, option.field)); }) }) }), _jsx("tbody", { children: currentData.map(function (row, indexRow) { return (_jsx("tr", { children: tableColumnsOption.map(function (option) {
                                var _a, _b, _c, _d, _e, _f, _g, _h;
                                return (_jsx("td", { className: "".concat(((_a = option.styles) === null || _a === void 0 ? void 0 : _a.custom_class) || ''), style: {
                                        textAlign: ((_b = option.styles) === null || _b === void 0 ? void 0 : _b.text_align) || 'left',
                                        fontStyle: ((_c = option.styles) === null || _c === void 0 ? void 0 : _c.italic) ? 'italic' : 'normal',
                                        fontWeight: ((_d = option.styles) === null || _d === void 0 ? void 0 : _d.bold) ? 'bold' : 'normal',
                                        color: (_f = (_e = option.styles) === null || _e === void 0 ? void 0 : _e.text_color) !== null && _f !== void 0 ? _f : '#000',
                                        backgroundColor: (_h = (_g = option.styles) === null || _g === void 0 ? void 0 : _g.bg_color) !== null && _h !== void 0 ? _h : '#ffffff',
                                        minWidth: option.width ? "".concat(option.width, "px") : 'auto',
                                    }, children: option.field && row[option.field] !== undefined && row[option.field] !== null
                                        ? row[option.field].toString()
                                        : '' }, option.field));
                            }) }, indexRow)); }) })] }), _jsx(Pagination, { currentPage: currentPage, totalPages: totalPages, onPageChange: handlePageChange, pageSizes: pageSizes, currentPageSize: rowsPerPage, onPageSizeChange: handlePageSizeChange })] }));
};
export default Table;
